Subject: bug#47261: Destructuring with Pcase without assigning values

From: Okam <[email-masked]>
Date: Fri, 19 Mar 2021 13:47:29 +0000

X-Debbugs-Cc: [email-masked]

Hello.

For a Pcase pattern, it would be convenient to have Pcase destructure
the pattern and have a way to see what values Pcase would like to assign
to variables within the pattern.

This would allow one to know the variables found in the pattern and to
manipulate the values that Pcase would like to assign, instead of just
letting `pcase` assign them.

This was asked about on the Help mailing list:
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-03/msg00089.html

Thank you.